Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.batik.gvt
Class FillShapePainter

    java.lang.Object
      org.apache.batik.gvt.FillShapePainter

All Implemented Interfaces:
  ShapePainter

    public class FillShapePainter

extends Object
implements ShapePainter

A shape painter that can be used to fill a shape.

Field Summary
`protected Paint` | `paint` The paint attribute used to fill the shape.
`protected Shape` | `shape` The Shape to be painted.

Constructor Summary
`FillShapePainter(Shape shape)` Constructs a new `FillShapePainter` that can be used to fill a `Shape`.

Method Summary
`Paint` | `getPaint()` Gets the paint used to draw the outline of the shape.
`Shape` | `getPaintedArea()` Returns the area painted by this shape painter.
`Rectangle2D` | `getPaintedBounds2D()` Returns the bounds of the area painted by this shape painter
`Shape` | `getSensitiveArea()` Returns the area covered by this shape painter (even if not painted).
`Rectangle2D` | `getSensitiveBounds2D()` Returns the bounds of the area covered by this shape painte (even if not painted).
`Shape` | `getShape()` Gets the Shape this shape painter is associated with.
`boolean` | `inPaintedArea(Point2D pt)` Returns true if pt is in the area painted by this shape painter
`boolean` | `inSensitiveArea(Point2D pt)` Returns true if pt is in the area painted by this shape painter
`void` | `paint(Graphics2D g2d)` Paints the specified shape using the specified Graphics2D.
`void` | `setPaint(Paint newPaint)` Sets the paint used to fill a shape.
`void` | `setShape(Shape shape)` Sets the Shape this shape painter is associated with.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### shape

    protected Shape shape

  The Shape to be painted.

### paint

    protected Paint paint

  The paint attribute used to fill the shape.

Constructor Detail

### FillShapePainter

    public FillShapePainter(Shape shape)

  Constructs a new `FillShapePainter` that can be used to fill a `Shape`.

  Parameters:
    `shape` - Shape to be painted by this painter Should not be null.

Method Detail

### setPaint

    public void setPaint(Paint newPaint)

  Sets the paint used to fill a shape.

  Parameters:
    `newPaint` - the paint object used to fill the shape

### getPaint

    public Paint getPaint()

  Gets the paint used to draw the outline of the shape.

### paint

    public void paint(Graphics2D g2d)

  Paints the specified shape using the specified Graphics2D.

  Specified by:
    `paint` in interface `ShapePainter`
  Parameters:
    `g2d` - the Graphics2D to use

### getPaintedArea

    public Shape getPaintedArea()

  Returns the area painted by this shape painter.

  Specified by:
    `getPaintedArea` in interface `ShapePainter`

### getPaintedBounds2D

    public Rectangle2D getPaintedBounds2D()

  Returns the bounds of the area painted by this shape painter

  Specified by:
    `getPaintedBounds2D` in interface `ShapePainter`

### inPaintedArea

    public boolean inPaintedArea(Point2D pt)

  Returns true if pt is in the area painted by this shape painter

  Specified by:
    `inPaintedArea` in interface `ShapePainter`

### getSensitiveArea

    public Shape getSensitiveArea()

  Returns the area covered by this shape painter (even if not painted).

  Specified by:
    `getSensitiveArea` in interface `ShapePainter`

### getSensitiveBounds2D

    public Rectangle2D getSensitiveBounds2D()

  Returns the bounds of the area covered by this shape painte (even if not painted).

  Specified by:
    `getSensitiveBounds2D` in interface `ShapePainter`

### inSensitiveArea

    public boolean inSensitiveArea(Point2D pt)

  Returns true if pt is in the area painted by this shape painter

  Specified by:
    `inSensitiveArea` in interface `ShapePainter`

### setShape

    public void setShape(Shape shape)

  Sets the Shape this shape painter is associated with.

  Specified by:
    `setShape` in interface `ShapePainter`
  Parameters:
    `shape` - new shape this painter should be associated with. Should not be null.

### getShape

    public Shape getShape()

  Gets the Shape this shape painter is associated with.

  Specified by:
    `getShape` in interface `ShapePainter`
  Returns:
    shape associated with this Painter.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 Apache Software Foundation. All Rights Reserved.